#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet/util/log'

Puppet::Functions.create_function(:'oracle_exists') do
  dispatch :oracle_exists do
    param 'String', :oracle_home
    return_type 'Boolean'
  end

  def oracle_exists(oracle_home)
    scope = closure_scope
    fact = scope['ora_install_homes']
    if fact && fact.key?(oracle_home)
      log("oracle_home #{oracle_home} already exists")
      oh_exists = true
    else
      log("oracle_home #{oracle_home} does not exist")
      oh_exists = false
    end
    oh_exists
  end

  def log(msg)
    Puppet::Util::Log.create(
      :level   => :info,
      :message => msg,
      :source  => 'oracle_exists'
    )
  end
end
