require 'puppet_x/enterprisemodules/ora_install/get_homes'

module PuppetX
  module EnterpriseModules
    # Docs
    module OraInstall
      # Docs
      module Tasks

        def self.extended(parent)
          parent.extend GetHomes
        end

        def startup(sid = nil, options = nil)
          database_action(:start, sid, options)
        end

        def shutdown(sid = nil, options = nil)
          database_action(:stop, sid, options)
        end

        def database_action(action, sid, options)
          Puppet::Util::Log.level = :info
          Puppet::Util::Log.newdestination(:console)
          home    = oracle_home_for(sid)
          os_user = user_for_file(home)
          opts = {
            :name                    => 'startup',
            :instance_name           => sid,
            :os_user                 => os_user,
            :oracle_product_home_dir => home
          }

          provider = Puppet::Type.type(:db_control).new(opts).provider
          if provider.status == action
            puts "Instance #{sid} already #{action}ed." 
          else
            provider.instance_control(action, options)
          end
        end

      end
    end
  end
end
