#
# See the file "LICENSE" for the full license governing this code.
#
# == Class: ora_install::listener
#
#
define ora_install::listener(
  Stdlib::Absolutepath                   $oracle_base   = undef,
  Stdlib::Absolutepath                   $oracle_home   = undef,
  String[1]                              $user          = 'oracle',
  String[1]                              $group         = 'dba',
  Enum['running','start','abort','stop'] $action        = 'start',
  String[1]                              $listener_name = 'listener',
)
{
  ora_install { $title: ensure => 'present'}
  db_listener{ $title:
    ensure          => $action,
    oracle_base_dir => $oracle_base,
    oracle_home_dir => $oracle_home,
    os_user         => $user,
    listener_name   => $listener_name,
  }
}
