#!/opt/puppetlabs/puppet/bin/ruby
require 'json'
require 'open3'
require 'puppet'
Puppet.initialize_settings  # Load all available plugins
require 'easy_type'
require 'puppet_x/enterprisemodules/ora_install/tasks'
extend ::PuppetX::EnterpriseModules::OraInstall::Tasks

params            = JSON.parse(STDIN.read)
sid               = params.fetch('sid') { default_database_sid}
shutdown_type     = params.fetch('shutdown_type') { 'normal'}
startup_type      = params['startup_type']

begin
  shutdown(sid, shutdown_type)
  startup(sid, startup_type)
  exit 0
rescue Puppet::Error => e
  puts({ status: 'failure', error: e.message }.to_json)
  exit 1
end
